/
/ Absolute value.
/

	.globl	abs

/
/ int abs(n);
/ int n;
/ Return |n|.
/ No check for overflow.
/

abs:	mov	2(sp),r0	/ Grab number.
	bpl	0f		/ +ve
	neg	r0		/ If neg. make pos.
0:	return			/ Done.
